EventForwarding (FreeMarker 2.3.23 API)
Date: 2015-07-05

freemarker.ext.jsp

## Class EventForwarding

- java.lang.Object
- - freemarker.ext.jsp.EventForwarding

- All Implemented Interfaces:
    EventListener, javax.servlet.http.HttpSessionAttributeListener, javax.servlet.http.HttpSessionListener, javax.servlet.ServletContextAttributeListener, javax.servlet.ServletContextListener

      public class EventForwarding
      extends Object
      implements javax.servlet.ServletContextAttributeListener, javax.servlet.ServletContextListener, javax.servlet.http.HttpSessionListener, javax.servlet.http.HttpSessionAttributeListener

  An instance of this class should be registered as a `<listener>` in the `web.xml` descriptor in order to correctly dispatch events to event listeners that are specified in TLD files.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventForwarding()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `attributeAdded(javax.servlet.http.HttpSessionBindingEvent arg0)`
    `void` | `attributeAdded(javax.servlet.ServletContextAttributeEvent arg0)`
    `void` | `attributeRemoved(javax.servlet.http.HttpSessionBindingEvent arg0)`
    `void` | `attributeRemoved(javax.servlet.ServletContextAttributeEvent arg0)`
    `void` | `attributeReplaced(javax.servlet.http.HttpSessionBindingEvent arg0)`
    `void` | `attributeReplaced(javax.servlet.ServletContextAttributeEvent arg0)`
    `void` | `contextDestroyed(javax.servlet.ServletContextEvent arg0)`
    `void` | `contextInitialized(javax.servlet.ServletContextEvent arg0)`
    `void` | `sessionCreated(javax.servlet.http.HttpSessionEvent arg0)`
    `void` | `sessionDestroyed(javax.servlet.http.HttpSessionEvent arg0)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventForwarding

          public EventForwarding()

  - ### Method Detail

    - #### attributeAdded

          public void attributeAdded(javax.servlet.ServletContextAttributeEvent arg0)

      Specified by:
        `attributeAdded` in interface `javax.servlet.ServletContextAttributeListener`

    - #### attributeRemoved

          public void attributeRemoved(javax.servlet.ServletContextAttributeEvent arg0)

      Specified by:
        `attributeRemoved` in interface `javax.servlet.ServletContextAttributeListener`

    - #### attributeReplaced

          public void attributeReplaced(javax.servlet.ServletContextAttributeEvent arg0)

      Specified by:
        `attributeReplaced` in interface `javax.servlet.ServletContextAttributeListener`

    - #### contextInitialized

          public void contextInitialized(javax.servlet.ServletContextEvent arg0)

      Specified by:
        `contextInitialized` in interface `javax.servlet.ServletContextListener`

    - #### contextDestroyed

          public void contextDestroyed(javax.servlet.ServletContextEvent arg0)

      Specified by:
        `contextDestroyed` in interface `javax.servlet.ServletContextListener`

    - #### sessionCreated

          public void sessionCreated(javax.servlet.http.HttpSessionEvent arg0)

      Specified by:
        `sessionCreated` in interface `javax.servlet.http.HttpSessionListener`

    - #### sessionDestroyed

          public void sessionDestroyed(javax.servlet.http.HttpSessionEvent arg0)

      Specified by:
        `sessionDestroyed` in interface `javax.servlet.http.HttpSessionListener`

    - #### attributeAdded

          public void attributeAdded(javax.servlet.http.HttpSessionBindingEvent arg0)

      Specified by:
        `attributeAdded` in interface `javax.servlet.http.HttpSessionAttributeListener`

    - #### attributeRemoved

          public void attributeRemoved(javax.servlet.http.HttpSessionBindingEvent arg0)

      Specified by:
        `attributeRemoved` in interface `javax.servlet.http.HttpSessionAttributeListener`

    - #### attributeReplaced

          public void attributeReplaced(javax.servlet.http.HttpSessionBindingEvent arg0)

      Specified by:
        `attributeReplaced` in interface `javax.servlet.http.HttpSessionAttributeListener`